Package net.md_5.bungee.api.dialog

# Class MultiActionDialog

java.lang.Object
net.md_5.bungee.api.dialog.MultiActionDialog

All Implemented Interfaces:
  `Dialog`

public final class MultiActionDialog extends Object implements Dialog
Represents a dialog with text a list of action buttons grouped into columns and scrollable if necessary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiActionDialog(@NonNull DialogBase base, @NonNull List<ActionButton> actions, Integer columns, ActionButton exitAction)`
  `MultiActionDialog(@NonNull DialogBase base, @NonNull ActionButton... actions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NonNull List<ActionButton>`
  `actions()`
  The action buttons in the dialog.
  `MultiActionDialog`
  `actions(@NonNull List<ActionButton> actions)`
  The action buttons in the dialog.
  `Integer`
  `columns()`
  The number of columns for the dialog buttons (default: 2).
  `MultiActionDialog`
  `columns(Integer columns)`
  `boolean`
  `equals(Object o)`
  `ActionButton`
  `exitAction()`
  The `ActionButton` activated when the dialog is exited.
  `MultiActionDialog`
  `exitAction(ActionButton exitAction)`
  The `ActionButton` activated when the dialog is exited.
  `@NonNull DialogBase`
  `getBase()`
  Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
  `int`
  `hashCode()`
  `void`
  `setBase(@NonNull DialogBase base)`
  Sets the dialog base.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiActionDialog

    public MultiActionDialog(@NonNull @NonNull DialogBase base, @NonNull @NonNull ActionButton... actions)

  - ### MultiActionDialog

    public MultiActionDialog(@NonNull @NonNull DialogBase base, @NonNull @NonNull List<ActionButton> actions, Integer columns, ActionButton exitAction)

- ## Method Details

  - ### columns

    public MultiActionDialog columns(Integer columns)

  - ### getBase

    @NonNull public @NonNull DialogBase getBase()
    Description copied from interface: `Dialog`
    Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
    Specified by:
      `getBase` in interface `Dialog`
    Returns:
      mutable reference to the dialog base

  - ### actions

    @NonNull public @NonNull List<ActionButton> actions()
    The action buttons in the dialog. At least one must be provided.

  - ### columns

    public Integer columns()
    The number of columns for the dialog buttons (default: 2).

  - ### exitAction

    public ActionButton exitAction()
    The `ActionButton` activated when the dialog is exited.

  - ### setBase

    public void setBase(@NonNull @NonNull DialogBase base)
    Description copied from interface: `Dialog`
    Sets the dialog base.
    For internal use only as this is mandatory and should be specified in the constructor.
    Specified by:
      `setBase` in interface `Dialog`
    Parameters:
      `base` - the new dialog base

  - ### actions

    public MultiActionDialog actions(@NonNull @NonNull List<ActionButton> actions)
    The action buttons in the dialog. At least one must be provided.
    Returns:
      `this`.

  - ### exitAction

    public MultiActionDialog exitAction(ActionButton exitAction)
    The `ActionButton` activated when the dialog is exited.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`